--
-- Holds certificate request information
--
CREATE TABLE t_credential_cache (
--
-- delegation identifier
   dlg_id	VARCHAR(100),
--
-- DN of delegated proxy owner
   dn		VARCHAR(255),
--
-- certificate request
   cert_request	TEXT,
--
-- private key of request
   priv_key	TEXT,
--
-- list of voms attributes contained in delegated proxy
   voms_attrs	TEXT,
--
-- set primary key
   PRIMARY KEY (dlg_id, dn)
);

--
-- Holds delegated proxies
--
CREATE TABLE t_credential (
--
-- delegation identifier
   dlg_id	VARCHAR(100),
--
-- DN of delegated proxy owner
   dn		VARCHAR(255),
--
-- delegated proxy certificate chain
   proxy	TEXT,
--
-- list of voms attributes contained in delegated proxy
   voms_attrs	TEXT,
--
-- termination time of the credential
   termination_time DATETIME,
--
-- set primary key
   PRIMARY KEY (dlg_id, dn)
);

--
-- Schema version
--
CREATE TABLE t_credential_vers (
  major INTEGER NOT NULL,
  minor INTEGER NOT NULL,
  patch INTEGER NOT NULL
);
INSERT INTO t_credential_vers (major,minor,patch) VALUES (1,2,0);

